# Uses of Class
org.apache.lucene.search.LRUQueryCache.CacheAndCount

Packages that use LRUQueryCache.CacheAndCount
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of LRUQueryCache.CacheAndCount in org.apache.lucene.search

  Fields in org.apache.lucene.search declared as LRUQueryCache.CacheAndCount
  Modifier and Type
  Field
  Description
  `protected static final LRUQueryCache.CacheAndCount`
  LRUQueryCache.CacheAndCount.`EMPTY`
  Methods in org.apache.lucene.search that return LRUQueryCache.CacheAndCount
  Modifier and Type
  Method
  Description
  `protected LRUQueryCache.CacheAndCount`
  LRUQueryCache.`cacheImpl(BulkScorer scorer, int maxDoc)`
  Default cache implementation: uses `RoaringDocIdSet` for sets that have a density < 1% and a `BitDocIdSet` over a `FixedBitSet` otherwise.